| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# ErrorTool Class Reference

`#include <components/ErrorTool.h>`

Inheritance diagram for ErrorTool:

[legend]
Collaboration diagram for ErrorTool:

[legend]

List of all members.

## Detailed Description

Author:
  Vanya BELYAEV Ivan.Belyaev@itep.ru

Date:
  2004-06-28

Definition at line 23 of file ErrorTool.h.

## Public Member Functions
| ErrorTool (const std::string &type, const std::string &name, const IInterface *parent)
| Standard constructor.
virtual | ~ErrorTool ()
| virtual and protected destrcutor
virtual StatusCode | Error (const std::string &msg, const StatusCode st=StatusCode::FAILURE, const size_t mx=10) const
| Print the error message, return status code and perform the statistics of error messages.
virtual StatusCode | Warning (const std::string &msg, const StatusCode st=StatusCode::FAILURE, const size_t mx=10) const
| Print the warning message, return status code and perform the statistics of warning messages.
virtual StatusCode | Print (const std::string &msg, const StatusCode st=StatusCode::SUCCESS, const MSG::Level lev=MSG::INFO) const
| Print the message and return status code.
virtual StatusCode | Assert (const bool ok, const std::string &message="", const StatusCode sc=StatusCode::FAILURE) const
| Assertion - throw exception, if condition is not fulfilled.
virtual StatusCode | Exception (const std::string &msg, const GaudiException &exc, const StatusCode sc=StatusCode::FAILURE) const
| Create and (re)-throw the exception.
virtual StatusCode | Exception (const std::string &msg, const std::exception &exc, const StatusCode sc=StatusCode::FAILURE) const
| Create and (re)-throw the exception.
virtual StatusCode | Exception (const std::string &msg="no message", const StatusCode sc=StatusCode::FAILURE) const
| Create and throw the exception.

## Constructor & Destructor Documentation

ErrorTool::ErrorTool | ( | const std::string & | type,
|  | const std::string & | name,
|  | const IInterface * | parent |
| ) |  |  |

Standard constructor.

See also:
  GaudiTool

  AlgTool

Parameters:

  | type | tool type (?)
  | name | tool name
  | parent | pointer to parent component

Definition at line 37 of file ErrorTool.cpp.

    00040   : GaudiTool ( type, name , parent )
    00041 {
    00042   declareInterface<IErrorTool>(this);
    00043 };

ErrorTool::~ErrorTool | ( |  | ) | `[virtual]`

virtual and protected destrcutor

Definition at line 49 of file ErrorTool.cpp.

    00049 {};

## Member Function Documentation

virtual StatusCode ErrorTool::Error | ( | const std::string & | msg,
|  | const StatusCode | st = `StatusCode::FAILURE`,
|  | const size_t | mx = `10` |
| ) |  |  | const`[inline, virtual]`

Print the error message, return status code and perform the statistics of error messages.

      IErrorTool* tool = .. ;
       if( a < 0 ) { return tool->Error(" 'a' is negative!") ;}
       if( b < 0 ) { return tool->Error(" 'b' is illegal!" , StatusCode(25) );
       if( c < 0 )
          { return tool->Error(" 'c' is negative" , StatusCode(35) , 50 );

See also:
  MsgStream

  IMessageSvc

  StatusCode

Parameters:

  | msg | error message
  | st | status code
  | mx | maximal number of printouts

Returns:
  status code

Implements IErrorTool.

Definition at line 67 of file ErrorTool.h.

    00070   { return GaudiTool::Error ( msg , st, mx ) ; }

virtual StatusCode ErrorTool::Warning | ( | const std::string & | msg,
|  | const StatusCode | st = `StatusCode::FAILURE`,
|  | const size_t | mx = `10` |
| ) |  |  | const`[inline, virtual]`

Print the warning message, return status code and perform the statistics of warning messages.

See also:
  MsgStream

  IMessageSvc

  StatusCode

Parameters:

  | msg | warning message
  | st | statsu code
  | mx | maximal number of printouts

Returns:
  status code

Implements IErrorTool.

Definition at line 83 of file ErrorTool.h.

    00086   { return GaudiTool::Warning( msg , st , mx ) ; }

virtual StatusCode ErrorTool::Print | ( | const std::string & | msg,
|  | const StatusCode | st = `StatusCode::SUCCESS`,
|  | const MSG::Level | lev = `MSG::INFO` |
| ) |  |  | const`[inline, virtual]`

Print the message and return status code.

See also:
  MsgStream

  IMessageSvc

  StatusCode

Parameters:

  | msg | warning message
  | st | status code
  | lev | print level

Returns:
  status code

Implements IErrorTool.

Definition at line 98 of file ErrorTool.h.

    00101   { return GaudiTool::Print( msg , st , lev ) ; }

virtual StatusCode ErrorTool::Assert | ( | const bool | ok,
|  | const std::string & | message = `""`,
|  | const StatusCode | sc = `StatusCode::FAILURE` |
| ) |  |  | const`[inline, virtual]`

Assertion - throw exception, if condition is not fulfilled.

See also:
  CaloException

  GaudiException

Exceptions:

  | CaloException | for invalid condifition

Parameters:

  | ok | condition which should be "true"
  | message | message to be associated with the exception
  | sc | status code to be returned (artificial)

Returns:
  status code

Implements IErrorTool.

Definition at line 113 of file ErrorTool.h.

    00116   { return GaudiTool::Assert ( ok , message , sc ) ; }

virtual StatusCode ErrorTool::Exception | ( | const std::string & | msg,
|  | const GaudiException & | exc,
|  | const StatusCode | sc = `StatusCode::FAILURE` |
| ) |  |  | const`[inline, virtual]`

Create and (re)-throw the exception.

See also:
  GaudiException

Exceptions:

  | CaudiException | always!

Parameters:

  | msg | exception message
  | exc | (previous) exception of type GaudiException
  | sc | status code

Returns:
  status code (fictive)

Implements IErrorTool.

Definition at line 127 of file ErrorTool.h.

    00130   { return Exception ( msg , exc , sc ) ; }

virtual StatusCode ErrorTool::Exception | ( | const std::string & | msg,
|  | const std::exception & | exc,
|  | const StatusCode | sc = `StatusCode::FAILURE` |
| ) |  |  | const`[inline, virtual]`

Create and (re)-throw the exception.

See also:
  GaudiException

Exceptions:

  | GaudiException | always!

Parameters:

  | msg | exception message
  | exc | (previous) exception of type std::exception
  | sc | status code

Returns:
  status code (fictive)

Implements IErrorTool.

Definition at line 141 of file ErrorTool.h.

    00144   { return Exception ( msg , exc , sc ) ; }

virtual StatusCode ErrorTool::Exception | ( | const std::string & | msg = `"no message"`,
|  | const StatusCode | sc = `StatusCode::FAILURE` |
| ) |  |  | const`[inline, virtual]`

Create and throw the exception.

See also:
  GaudiException

Exceptions:

  | GaudiException | always!

Parameters:

  | msg | exception message
  | sc | status code

Returns:
  status code (fictive)

Implements IErrorTool.

Definition at line 154 of file ErrorTool.h.

    00156   { return Exception ( msg , sc ) ; }

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiAlg/src/components/ErrorTool.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiAlg/src/components/ErrorTool.cpp